local E, L, V, P, G = unpack(ElvUI);
local MOGUI = E:GetModule('MaximumOverdriveGamingUI');


local profileName = "MOGUIv2.0"

--Cache global variables
--WoW API / Variables

--Global variables that we don't cache, list them here for the mikk's Find Globals script
-- GLOBALS: BigWigs3DB, LibStub

function MOGUI:LoadBigWigsProfile()

		--	BigWigs - Settings
			BigWigs3DB = {
				["namespaces"] = {
		["BigWigs_Plugins_Victory"] = {
		},
		["BigWigs_Plugins_Colors"] = {
		},
		["BigWigs_Plugins_Alt Power"] = {
			["profiles"] = {
				["MOGUIv2.0"] = {
					["posx"] = 0,
					["fontSize"] = 11.0000009536743,
					["font"] = "Friz Quadrata TT",
					["fontOutline"] = "",
					["posy"] = 237.510596028951,
				},
			},
		},
		["BigWigs_Plugins_BossBlock"] = {
		},
		["BigWigs_Plugins_Bars"] = {
			["profiles"] = {
				["MOGUIv2.0"] = {
					["BigWigsEmphasizeAnchor_y"] = 265.044320653997,
					["fontSize"] = 12,
					["scale"] = 1.1,
					["BigWigsAnchor_y"] = 574.533390648085,
					["emphasizeGrowup"] = true,
					["BigWigsAnchor_x"] = 25.599927377699,
					["monochrome"] = false,
					["texture"] = "Raven Glossy",
					["barStyle"] = "MonoUI",
					["growup"] = false,
					["BigWigsEmphasizeAnchor_width"] = 195.000274658203,
					["BigWigsEmphasizeAnchor_x"] = 619.37783617841,
					["font"] = "Expressway",
					["emphasizeTime"] = 8,
					["BigWigsAnchor_width"] = 196.999923706055,
					["outline"] = "OUTLINE",
					["emphasizeScale"] = 1.2,
				},
			},
		},
		["BigWigs_Plugins_InfoBox"] = {
			["profiles"] = {
				["MOGUIv2.0"] = {
					["posx"] = 379.022187997234,
					["posy"] = 553.244588049256,
				},
			},
		},
		["BigWigs_Plugins_Super Emphasize"] = {
			["profiles"] = {
				["MOGUIv2.0"] = {
					["font"] = "Friz Quadrata TT",
				},
			},
		},
		["BigWigs_Plugins_Sounds"] = {
		},
		["BigWigs_Plugins_Raid Icons"] = {
		},
		["BigWigs_Plugins_Respawn"] = {
		},
		["BigWigs_Plugins_Statistics"] = {
		},
		["BigWigs_Plugins_Proximity"] = {
			["profiles"] = {
				["MOGUIv2.0"] = {
					["posx"] = 886.755837444471,
					["fontSize"] = 15,
					["width"] = 139.999984741211,
					["font"] = "Expressway",
					["lock"] = false,
					["height"] = 119.999969482422,
					["sound"] = true,
					["posy"] = 547.555872633729,
				},
			},
		},
		["BigWigs_Plugins_Messages"] = {
			["profiles"] = {
				["MOGUIv2.0"] = {
					["fontSize"] = 20,
					["BWMessageAnchor_x"] = 615.11112600565,
					["BWEmphasizeCountdownMessageAnchor_y"] = 529.777790606022,
					["font"] = "Friz Quadrata TT",
					["BWMessageAnchor_y"] = 457.244498919117,
					["BWEmphasizeCountdownMessageAnchor_x"] = 666.311083842647,
				},
			},
		},
		["BigWigs_Plugins_Pull"] = {
		},
		["LibDualSpec-1.0"] = {
		},
	},
	["discord"] = 15,
	["profileKeys"] = {
		["Glashra - Thrall"] = "MOGUIv2.0",
		["Mesarius - Stormrage"] = "MOGUIv2.0",
	},
	["profiles"] = {
		["MOGUIv2.0"] = {
		},
	},
}
		
		BigWigsIconDB = {
			["hide"] = true,
		}
		BigWigs3IconDB = nil
		BigWigsStatsDB = {
		}
		BigWigsStatisticsDB = nil
		
		-- Profile creation
		local db = LibStub("AceDB-3.0"):New(BigWigs3DB)
		db:SetProfile(profileName)
	end
